Compare
GET /v1/compare
Side-by-side comparison of 2-4 traders. Paid feature (Compare).
Side-by-side comparison of 2-4 traders. Paid feature (Compare).
AuthorizationBearer <token>
API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)
In: header
Query Parameters
addrs*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/compare?addrs=string"{ "traders": [ { "proxy_wallet": "string", "display": { "username": "string", "pseudonym": "string", "profile_image": "string", "verified": true }, "metrics": { "property1": 0, "property2": 0 }, "percentiles": { "property1": 0, "property2": 0 }, "rank_in_default_preset": -9007199254740991, "first_trade_at": "string", "last_trade_at": "string", "trade_count": -9007199254740991, "markets_traded": -9007199254740991 } ], "winners": { "property1": "string", "property2": "string" }, "snapshot_age_seconds": -9007199254740991}Empty
{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}GET /v1/search GET
Universal resolver: address / partial address / condition_id / token_id / username / event, question, category or board text → grouped results (`groups`), plus the flat v1 `results`.
GET /v1/metrics/catalog GET
The full metric catalog (count is dynamic). Each entry has id, name, description, category, direction, cost, longTailed flag, minN, supportedWindows. Single source of truth.